Module
Contents
Index 🔎︎

# Text Functions

This section contains descriptions of the Text functions.

Per accedir a esta orde...

Insereix - Funció - Categoria Text

## REGEX

Matches and extracts or optionally replaces text using regular expressions.

## WEBSERVICE

Obté contingut web a partir d'un URI.

## FILTERXML

Aplica una expressió XPath en un document XML.

## ENCODEURL

Returns a URL-encoded string.

## ARABIC

Calcula el valor d'una xifra romana. L'interval de valors s'ha de trobar entre 0 i 3999.

### Syntax

ARABIC("Text")

Text és el text que representa una xifra romana.

### Example

=ARABIC("MXIV") retorna 1014.

=ARABIC("MMII") retorna 2002.

## ASC

La funció ASC converteix caràcters ASCII d'amplària completa a caràcters de mitja amplària i caràcters katakana. Retorna una cadena de text.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

### Syntax

ASC("Text")

Text és el text que conté els caràcters que s'han de convertir.

Vegeu també la funció JIS.

## BASE

Converteix un enter positiu en una base especificada en un text del sistema de numeració. S'utilitzen els dígits 0 a 9 i les lletres A a Z.

### Syntax

BASE(Nombre; BaseDeNumeració; [LongitudMínima])

Nombre és l'enter positiu que s'ha de convertir.

BaseDeNumeració indica la base del sistema numèric. Pot ser qualsevol nombre enter positiu entre 2 i 36.

LongitudMínima (opcional) determina la longitud mínima de la seqüència de caràcters que s'ha creat. Si el text és més curt que la longitud mínima que s'ha indicat, s'afigen zeros a l'esquerra de la cadena.

### Example

=BASE(17;10;4) retorna 0017 en el sistema decimal.

=BASE(17;2) retorna 10001 en el sistema binari.

=BASE(255;16;4) retorna 00FF en el sistema hexadecimal.

## CARAC

Converteix un nombre en un caràcter segons la taula de codi actual. El nombre pot ser un enter de dos o tres dígits.

Els codis més grans que 127 poden dependre del mapatge de caràcters del vostre sistema (per exemple, iso-8859-1, iso-8859-2, Windows-1252, Windows-1250), i per tant és possible que no siguen portàtils.

### Syntax

CARAC(Nombre)

Nombre és un nombre entre 1 i 255 que representa el valor de codi del caràcter.

### Example

=CARAC(100) retorna el caràcter d.

="abc" & CARAC(10) & "def" insereix un caràcter de línia nova a la cadena.

## CARACUNI

Converteix un codi numèric en un caràcter o lletra Unicode.

### Syntax

UNICHAR(number)

### Example

=CARACUNI(169) retorna el caràcter de copyright ©.

See also the UNICODE() function.

## CERCA

Returns the position of a text segment within a character string. You can set the start of the search as an option. The search text can be a number or any sequence of characters. The search is not case-sensitive. If the text is not found, returns error 519 (#VALUE).

The search supports regular expressions. You can enter "all.*", for example to find the first location of "all" followed by any characters. If you want to search for a text that is also a regular expression, you must precede every character with a "\" character. You can switch the automatic evaluation of regular expression on and off in LibreOffice - Preferences Tools - Options - LibreOffice Calc - Calculate.

### Syntax

CERCA("TextDeCerca"; "Text"; Posició)

TextDeCerca és el text que s'ha de buscar.

Text és el text on es du a terme la busca.

Posició (opcional) és la posició en el text on ha de començar la busca.

### Example

=CERCA(54;998877665544) retorna 10.

## CODI

Retorna un codi numèric per al primer caràcter d'una cadena de text.

### Syntax

CODI("Text")

Text és el text del qual s'ha de trobar el codi del primer caràcter.

Els codis més grans que 127 poden dependre del mapatge de caràcters del vostre sistema (per exemple, iso-8859-1, iso-8859-2, Windows-1252, Windows-1250), i per tant és possible que no siguen portàtils.

### Example

=CODI("Jerònim") retorna 74, =CODI("jeroglífic") retorna 106.

El codi que s'utilitza ací no fa referència a l'ASCII, sinó a la taula de codi actual.

## CONCATENA

Combina diverses cadenes de text en una sola cadena.

### Syntax

CONCATENA("Text1"; ...; "Text30")

Text1; Text2; ... representen fins a 30 passatges de text que s'han de combinar en una sola cadena.

### Example

=CONCATENA("Bon ";"dia ";"Sra. ";"Pla") retorna: Bon dia Sra. Pla.

## DECIMAL

Converteix text amb caràcters d'un sistema numèric en un enter positiu de la base de numeració indicada. La base de numeració s'ha de trobar en l'interval de 2 a 36. S'ignoren els espais i les tabulacions. En el camp Text no es distingeix entre majúscules i minúscules.

Si la base de numeració és 16, s'ignora una x o X o 0x o 0X al començament, i una h o H al final. Si la base de numeració és 2, s'ignora una b o B al final. Els caràcters que no pertanyen al sistema numèric generen un error.

### Syntax

DECIMAL("Text"; BaseDeNumeració)

Text és el text que s'ha de convertir. Per diferenciar entre un nombre hexadecimal, com ara A1 i la referència a la cel·la A1, heu de posar el nombre entre cometes, com ara, "A1" o "FACE".

BaseDeNumeració indica la base del sistema numèric. Pot ser qualsevol nombre enter positiu entre 2 i 36.

### Example

=DECIMAL("17";10) retorna 17.

=DECIMAL("FACE";16) retorna 64206.

=DECIMAL("0101";2) retorna 5.

## DRETA

Retorna l'últim caràcter o caràcters d'un text.

### Syntax

DRETA("Text"; Nombre)

Text és el text del qual es determinarà la part dreta.

Nombre (opcional) és el nombre de caràcters des de la part dreta del text.

### Example

=DRETA("Sun";2) retorna un.

## DRETAB

Returns the last character or characters of a text with double bytes characters sets (DBCS).

### Syntax

DRETAB("Text"; NombreBytes)

Text és el text del qual es determinarà la part dreta.

NombreBytes (opcional) indica el nombre de caràcters que voleu extreure amb DRETAB, segons els bytes.

### Example

DRETAB("中国";1) retorna " " (1 byte només és la meitat d'un caràcter DBCS i, per tant, es retorna un espai).

DRETAB("中国";2) retorna "国" (2 bytes formen un caràcter DBCS complet).

DRETAB("中国";3) retorna "国 " (3 bytes formen un caràcter DBCS i mig i un caràcter DBCS complet; es retorna un espai per la primera meitat).

DRETAB("中国";4) retorna "中国" (4 bytes formen dos caràcters DBCS complets).

DRETAB("oficina";3) retorna "gel" (3 caràcters no-DBCS, cadascun format per 1 byte).

## ESQUERRA

Retorna el primer caràcter o caràcters d'un text.

### Syntax

ESQUERRA("Text"; Nombre)

Text és el text on s'han de determinar les paraules inicials parcials.

Nombre (opcional) indica el nombre de caràcters del text d'inici. Si no es defineix este paràmetre, es retorna un caràcter.

### Example

=ESQUERRA("eixida";3) retorna “sor”.

## ESQUERRAB

Retorna el primer caràcter o caràcters d'un text DBCS.

### Syntax

ESQUERRAB("Text"; NombreBytes)

Text és el text del qual s'han de determinar les paraules parcials inicials.

NombreBytes (opcional) indica el nombre de caràcters que voleu extreure amb ESQUERRAB. Si no es defineix este paràmetre, es retorna un únic caràcter.

### Example

ESQUERRAB("中国";1) retorna " " (1 byte només és la meitat d'un caràcter DBCS i, per tant, es retorna un espai).

ESQUERRAB("中国";2) retorna "中" (2 bytes formen un caràcter DBCS complet).

ESQUERRAB("中国";3) retorna "中 " (3 bytes formen un caràcter DBCS i mig; per tant es retorna un espai com a últim caràcter).

ESQUERRAB("中国";4) retorna "中国" (4 bytes formen dos caràcters DBCS complets).

ESQUERRAB("oficina";3) retorna "ofi" (3 caràcters no-DBCS, cadascun format per 1 byte).

## EXACTE

Compara dues cadenes de text i retorna CERT si són idèntiques. Esta funció distingeix entre majúscules i minúscules.

### Syntax

EXACTE("Text1"; "Text2")

Text1 fa referència al primer text que s'ha de comparar.

Text2 és el segon text que s'ha de comparar.

### Example

=EXACTE("microsystems";"Microsystems") retorna FALS.

## FIX

Retorna un nombre com a text amb un nombre de decimals determinat i amb separadors de milers opcionals.

### Syntax

FIX(Nombre; Decimals; SenseSeparadorsDeMilers)

Nombre fa referència al nombre que s'ha de formatar.

Decimals fa referència al nombre de decimals que s'han de mostrar.

SenseSeparadorsDeMilers (opcional) determina si s'ha d'utilitzar el separador de milers. Si el paràmetre és un nombre diferent de 0, se suprimeix el separador de milers. Si el paràmetre és igual a 0 o no s'indica, es mostren els separadors de milers de la vostra configuració regional actual.

### Example

=FIX(1234567,89;3) retorna 1.234.567,890 com a cadena de text.

=FIX(1234567,89;3;1) retorna 1234567,890 com a cadena de text.

## INICIALMAJUSC

Escriu amb majúscula la primera lletra de totes les paraules d'una cadena de text.

### Syntax

INICIALMAJUSC("Text")

Text es refereix al text que s'ha de convertir.

### Example

=INICIALMAJUSC("open office") retorna Open Office.

## JIS

La funció JIS converteix caràcters ASCII i katakana de mitja amplària a caràcters d'amplària completa. Retorna una cadena de text.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

### Syntax

JIS("Text")

Text és el text que conté els caràcters que s'han de convertir.

Vegeu també la funció ASC.

## LONG

Retorna la longitud d'una cadena; hi inclou els espais.

### Syntax

LONG("Text")

Text és el text la longitud del qual s'ha de determinar.

### Example

=LONG("Bon dia") retorna 7.

=LONG(12345,67) retorna 8.

## LONGB

For double-byte character set (DBCS) languages, returns the number of bytes used to represent the characters in a text string.

### Syntax

LONGB("Text")

Text és el text la longitud del qual s'ha de determinar.

### Example

ESQUERRAB("中国";2) retorna "中" (2 bytes formen un caràcter DBCS complet).

ESQUERRAB("中国";2) retorna 4 (2 bytes formen un caràcter DBCS).

ESQUERRAB("oficina") retorna " 6 (6 caràcters no-DBCS, cadascun format per 1 byte).

=LONGB("Bon dia") retorna 7.

=LONGB(12345,67) retorna 8.

## MAJUSC

Converteix la cadena indicada en el camp de text que s'ha d'escriure amb majúscules.

### Syntax

MAJUSC("Text")

Text fa referència a les lletres en minúscules que voleu convertir en majúscules.

### Example

=MAJUSC("Bon dia") retorna BON DIA.

## MIG

Retorna la cadena de text d'un text. Els paràmetres indiquen la posició inicial i el nombre de caràcters.

### Syntax

MIG("Text"; Inici; Nombre)

Text és el text que conté els caràcters que s'han d'extreure.

Inici és la posició del primer caràcter del text que s'ha d'extreure.

Nombre indica el nombre de caràcters que conté la part del text.

### Example

=MIG("oficina";2;2) retorna fi.

## MIGB

Retorna la cadena de text d'un text DBCS. Els paràmetres indiquen la posició inicial i el nombre de caràcters.

### Syntax

MIGB("Text"; Inici; NombreBytes)

Text és el text que conté els caràcters que s'han d'extreure.

Inici és la posició del primer caràcter del text que s'ha d'extreure.

NombreBytes indica el nombre de caràcters que MIDB retornarà del text, en bytes.

### Example

MIGB("中国";1;0) retorna "" (0 bytes es sempre una cadena buida).

MIGB("中国";1:1) retorna " " (1 byte és només mig caràcter DBCS i, per tant, el resultat és un caràcter d'espai).

MIGB("中国";1;2) retorna "中" (2 bytes formen un caràcter DBCS complet).

MIGB("中国";1;3) retorna "中 " (3 bytes formen un caràcter DBCS i mig; l'últim byte dóna lloc a un caràcter d'espai).

MIGB("中国";1;4) retorna "中国" (4 bytes formen dos caràcters DBCS complets).

MIGB("中国";2;1) retorna " " (el byte de la posició 2 no és al principi d'un caràcter en una cadena DBCS; es retorna 1 espai com a caràcter).

MIDB("中国";2;2) returns " " (byte position 2 points to the last half of the first character in the DBCS string; the 2 bytes asked for therefore constitutes the last half of the first character and the first half of the second character in the string; 2 space characters are therefore returned).

MIGB("中国";2;1) retorna " " (el byte de la posició 2 no és al principi d'un caràcter en una cadena DBCS; es retorna 1 espai com a caràcter).

MIDB("中国";3;1) returns " " (byte position 3 is at the beginning of a character in a DBCS string, but 1 byte is only half a DBCS character and a space character is therefore returned instead).

MIGB("中国";2;1) retorna " " (el byte de la posició 2 no és al principi d'un caràcter en una cadena DBCS; es retorna 1 espai com a caràcter).

MIGB("中国";2;1) retorna " " (el byte de la posició 2 no és al principi d'un caràcter en una cadena DBCS; es retorna 1 espai com a caràcter).

## MINUSC

Converteix totes les majúscules d'una cadena de text en minúscules.

### Syntax

MINUSC("Text")

Text es refereix al text que s'ha de convertir.

### Example

=MINUSC("Sun") retorna sun.

## MONEDA

Converteix un nombre en una quantitat en el format de moneda, arrodonit a les xifres decimals que s'hagen indicat. En el camp Valor, introduïu-hi el nombre que s'ha de convertir en moneda. Opcionalment, podeu introduir el nombre de decimals en el camp Decimals. Si no s'indica cap valor, es mostraran tots els nombres en format de moneda amb dos decimals.

Heu de definir el format de la moneda en la configuració del sistema.

### Syntax

MONEDA(Valor; Decimals)

Valor és un nombre, una referència a una cel·la que conté un nombre o una fórmula que retorna un nombre.

Decimals és el nombre opcional de xifres decimals.

### Example

=MONEDA(255) retorna 255,00 €.

=MONEDA(367,456;2) retorna 367,46 €. Utilitzeu el separador decimal que correspongui a la configuració regional actual.

## NETEJA

S'eliminen de la cadena tots els caràcters no imprimibles.

### Syntax

NETEJA("Text")

Text fa referència al text del qual s'han d'eliminar els caràcters no imprimibles.

## REEMPLAÇA

Reemplaça una part d'una cadena de text per una altra cadena de text. Esta funció es pot utilitzar per reemplaçar caràcters i nombres (que es converteixen en text automàticament). El resultat de la funció sempre es mostra en forma de text. Si voleu fer més càlculs amb un nombre que s'ha reemplaçat per text, l'haureu de tornar a convertir en un nombre mitjançant la funció VALOR.

Qualsevol text que continga nombres s'ha de posar entre cometes perquè no s'interpreti com a nombre i es convertisca automàticament en text.

### Syntax

REEMPLAÇA("Text"; Posició; Longitud; "TextNou")

Text fa referència al text del qual es reemplaçarà una part.

Posició fa referència a la posició en el text on començarà el reemplaçament.

Longitud és el nombre de caràcters de Text que s'han de reemplaçar.

TextNou fa referència al text que reemplaça Text.

### Example

=REEMPLAÇA("1234567";1;1;"444") retorna "444234567". Es reemplaça un caràcter en la posició 1 pel TextNou complet.

## REPT

Repeteix una cadena de caràcters en funció del nombre de còpies indicat.

### Syntax

REPT("Text"; Nombre)

Text és el text que s'ha de repetir.

Nombre és el nombre de repeticions.

El resultat pot contindre un màxim de 255 caràcters.

### Example

=REPT("Bon dia";2) retorna Bon diaBon dia.

## RETALLA

Elimina espais d'una cadena; deixa un sol espai entre les paraules.

### Syntax

RETALLA("Text")

Text fa referència al text de què s'eliminen els espais.

### Example

=TRIM(" hello world ") returns hello world without leading and trailing spaces and with single space between words.

## ROMA

Converteix un nombre en un numeral romà. L'interval de valors ha d'estar comprés entre 0 i 3999; els modes poden ser enters del 0 al 4.

### Syntax

ROMA(Nombre; Mode)

Nombre és el nombre que s'ha de convertir en un numeral romà.

Mode (opcional) indica el grau de simplificació. Com més alt siga el valor, més gran és la simplificació de la xifra romana.

### Example

=ROMA(999) retorna CMXCIX.

=ROMA(999;0) retorna CMXCIX.

=ROMA(999;1) retorna LMVLIV.

=ROMA(999;2) retorna XMIX.

=ROMA(999;3) retorna VMIV.

=ROMA(999;4) retorna IM.

## SUBSTITUEIX

Reemplaça text vell per text nou en una cadena.

### Syntax

SUBSTITUEIX("Text"; "TextDeCerca"; "TextNou"; Aparició)

Text és el text en el qual s'han d'intercanviar segments de text.

TextDeCerca és el segment de text que s'ha de reemplaçar (un nombre de vegades).

TextNou és el text que ha de reemplaçar el segment de text.

Aparició (opcional) indica quina aparició del text de busca s'ha de reemplaçar. Si falta este paràmetre, es reemplaça el text de busca arreu.

### Example

=SUBSTITUEIX("123123123";"3";"abc") retorna 12abc12abc12abc.

=SUBSTITUEIX("123123123";"3";"abc";2) retorna 12312abc123.

## T

Esta funció retorna el text de destinació o, si la destinació no és text, retorna una cadena de text buida.

### Syntax

T(Valor)

Si Valor és una cadena de text o fa referència a una cadena de text, T retorna esta cadena de text; altrament, retorna una cadena de text buida.

### Example

=T(12345) retorna una cadena buida.

=T("12345") retorna la cadena 12345.

## TEXT

Converteix un nombre en text d'acord amb un format indicat.

### Syntax

TEXT(Nombre; Format)

Nombre és el valor numèric que s'ha de convertir.

Format és el text que defineix el format. Utilitzeu els decimals i els separadors de milers en funció de la llengua indicada en el format de cel·la.

### Example

=TEXT(12,34567;"###,##") retorna el text 12,35.

=TEXT(12,34567;"000,00") retorna el text 012,35.

See also Number format codes: custom format codes defined by the user.

## TEXTBAHT

Converteix un nombre en text thai, incloent-hi els noms de moneda thai.

### Syntax

TEXTBAHT(Nombre)

Nombre és qualsevol nombre. S'afig "baht" a la part entera del nombre i "satang" a la part decimal.

### Example

=TEXTBAHT(12,65) retorna una cadena en caràcters thai amb el significat de "Dotze baht i seixanta-cinc satang".

## TROBA

Returns the position of a string of text within another string.You can also define where to begin the search. The search term can be a number or any string of characters. The search is case-sensitive.

### Syntax

TROBA("TextDeCerca"; "Text"; Posició)

TextDeCerca és el text que s'ha de buscar.

Text és el text on es du a terme la busca.

Posició (opcional) és la posició en el text des d'on comença la busca.

### Example

=TROBA(76;998877665544) retorna 6.

## UNICODE

Retorna el codi numèric del primer caràcter Unicode d'una cadena de text.

### Syntax

UNICODE("Text")

### Example

=UNICODE("©") retorna el nombre Unicode 169 corresponent al caràcter de copyright.

See also the UNICHAR() function.

## VALOR

Converteix una cadena de text en un nombre.

### Syntax

VALOR("Text")

Text és el text que s'ha de convertir en un nombre.

### Example

=VALOR("4321") retorna 4321.

Temes relacionats

Functions by Category